Skip to main content
POST
/
api
/
query
/
schedule
Schedules a query/card
curl --request POST \
  --url https://api.example.com/api/query/schedule \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "cron": "<string>",
  "card_url": "<string>",
  "query_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "flow_url": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "error": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
name
string
required

A user-defined name for the scheduled query job.

cron
string
required

A cron expression defining when or how often the query should run.

card_url
string | null

URL of the card or visualization to be scheduled.

query_id
string<uuid> | null

Unique ID of the query to be scheduled.

Response

Query scheduled successfully.

flow_url
string
required

Airflow URL to access the scheduled query flow.

id
string<uuid> | null

A unique ID for the scheduled query flow.

error
string | null

Error message if scheduling fails due to any issue.